import java.io.*;

    public class LegacyApi {
        public static void main(String[] args) {
            // Using wrap for a method that returns a result
            String result = IOExceptionWrapper.wrap(() -> {
                BufferedReader reader = new BufferedReader(new FileReader("input.txt"));
                return reader.readLine();
            });
            System.out.println("First line: " + result);

            // Using wrapRunnable for a method that returns void
            IOExceptionWrapper.wrapRunnable(() -> {
                BufferedWriter writer = new BufferedWriter(new FileWriter("output.txt"));
                writer.write("Hello, world!");
                writer.close();
            });
            System.out.println("Write successful!");
        }
    }
