public class PaymentService {

        public void paymentMethod(String method, String offer) throws PaymentException {
            if (!method.equalsIgnoreCase("card") && !method.equalsIgnoreCase("upi")) {
                throw new InvalidPaymentMethodException("Unsupported payment method: " + method);
            }

            if (method.equalsIgnoreCase("card") && offer.equalsIgnoreCase("UPI10")) {
                throw new InvalidOfferAppliedException("Card payments do not support UPI10 offer.");
            }

            System.out.println("Payment successful using " + method + " with offer " + offer);
        }
    }

