import java.util.*;

public class DivisionExample {
    public static int divide(int numerator, int denominator) {
        if (denominator == 0) {
            throw new ArithmeticException("Cannot divide by zero");
        }
        return numerator / denominator;
    }

    public static void main(String[] args) {
        //test case
        int[][] testCases = {
                {21, 7},
                {30, 0},
                {40, 5},
        };

        for (int [] testCase : testCases) {
            int num = testCase[0];
            int den = testCase[1];

            try {
                int result = divide(num, den);
                System.out.println(num + " / " + den + " = " + result);
            } catch (ArithmeticException e) {
                System.out.println("Error: " + e.getMessage());
            }
        }
    }
}